<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
	
</head>
<body>
	<script src="jsHw1.js"></script>
	
	<p>
	1. Область видимости var переменных ограничена функцией,
	если мы обратимся к переменной до её объявления, 
	то получим undefined. const и let ограничены блоком,
	а попытка обратится к переменной до её объявления, 
	вернётся ошибкой ReferenceError.
	Разница между let и const в том, что в первом случае
	вы можете изменить значение переменной, а во втором нет.
	</p>
	<p>
	2. Самый большой недостаток ключевого слова var - это его область видимости переменных,
	объявленных с его использованием, оказывается слишком большой.
	Это может привести к непреднамеренной перезаписи данных и к другим ошибкам.
	Большие области видимости часто ведут к появлению неаккуратных программ.
	В целом, переменная должна иметь область видимости,
	ограниченную её нуждами, но не превышающую их.

	</p>
</body>
</html>